> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track product share action.

> Request body (JSON): - visitorId (string, required): User's visitorId from /view response - currentUrl (string): Full URL being shared - (+ all tracking properties from viewAction)

Response: }



## OpenAPI

````yaml /openapi/consumer_api.oas.json post /api/consumer/{version}/product/share
openapi: 3.0.0
info:
  title: Consumer API
  description: Create your own front end for the referral journey using our Consumer API.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Record Order
  - name: Enrol Referrer
  - name: Get referrer dashboard
  - name: Find referrer by name
  - name: Link new customer to referrer
paths:
  /api/consumer/{version}/product/share:
    post:
      summary: Track product share action.
      description: >-
        Request body (JSON): - visitorId (string, required): User's visitorId
        from /view response - currentUrl (string): Full URL being shared - (+
        all tracking properties from viewAction)


        Response: }
      operationId: post_api_product_share
      parameters:
        - name: version
          in: path
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
      responses:
        default:
          description: ''

````